Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws.impl
Class SimpleCorrelatableProperties

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
              org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
                  org.apache.muse.ws.dm.muws.impl.SimpleCorrelatableProperties

All Implemented Interfaces:
  Capability, CorrelatableProperties, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

public class SimpleCorrelatableProperties
extends AbstractManageabilityCapability
implements CorrelatableProperties

SimpleCorrelatableProperties is Muse's default implementation of the WSDM CorrelatableProperties capability. This implementation is dialect-independent, meaning it can work with any correlation expressions so long as they are provided through the Correlation interface.

Author:
  Dan Jemiolo (danj)

Field Summary

Fields inherited from interface org.apache.muse.ws.dm.muws.CorrelatableProperties
`PROPERTIES`

Constructor Summary
`SimpleCorrelatableProperties()`

Method Summary
`void` | `addCorrelation(Correlation expression)`
`Correlation[]` | `getCorrelatableProperties()`
`QName[]` | `getPropertyNames()` Concrete capability classes that define properties MUST override this method and provide the names of the properties.
`boolean` | `matches(EndpointReference epr)`

Methods inherited from class org.apache.muse.ws.dm.muws.impl.AbstractManageabilityCapability
`initializeCompleted`

Methods inherited from class org.apache.muse.ws.resource.impl.AbstractWsResourceCapability
`createGettersAndSetters, deleteProperty, getGetter, getProperty, getPropertyElements, getSetter, getWsResource, initialize, insertProperty, invokeMethod, setResource, updateProperty`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleCorrelatableProperties

    public SimpleCorrelatableProperties()

Method Detail

### addCorrelation

    public void addCorrelation(Correlation expression)

  Specified by:
    `addCorrelation` in interface `CorrelatableProperties`
  Parameters:
    `expression` - A new correlation expression that will be recorded in a new instance of the CorrelatableProperties property.

### getCorrelatableProperties

    public Correlation[] getCorrelatableProperties()

  Specified by:
    `getCorrelatableProperties` in interface `CorrelatableProperties`
  Returns:
    The Correlation expressions defined in the instances of the CorrelatableProperties property. Each Correlation can be evaluated against a target Resource, and there is no requirement that a caller use all Correlations to decide whether two resources are the same.

### getPropertyNames

    public QName[] getPropertyNames()

  Description copied from interface: `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Concrete capability classes that define properties MUST override this method and provide the names of the properties.

  Specified by:
    `getPropertyNames` in interface `org.apache.muse.ws.resource.WsResourceCapabilityProperties`
  Overrides:
    `getPropertyNames` in class `AbstractWsResourceCapability`

### matches

    public boolean matches(EndpointReference epr)
                    throws SoapFault

  Specified by:
    `matches` in interface `CorrelatableProperties`
  Parameters:
    `epr` - The EPR of the resource (local or remote) to evaluate the current correlation expressions against.
  Returns:
    True, if all of the correlation expressions evaluated to true when run against the given endpoint's resource properties document.
  Throws:
    `SoapFault` -
    - If there was an error when trying to contact the resource at the given EPR, or if the endpoint does not support WS-RP.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD